fop 1.1

## org.apache.fop.pdf.xref
Class CrossReferenceTable

    java.lang.Object
      org.apache.fop.pdf.xref.CrossReferenceObject
          org.apache.fop.pdf.xref.CrossReferenceTable

    public class CrossReferenceTable

extends CrossReferenceObject

A cross-reference table, as described in Section 3.4.3 of the PDF 1.5 Reference.

Field Summary

Fields inherited from class org.apache.fop.pdf.xref.CrossReferenceObject
`startxref, trailerDictionary`

Constructor Summary
`CrossReferenceTable(TrailerDictionary trailerDictionary, long startxref, java.util.List<java.lang.Long> location)`

Method Summary
`void` `output(java.io.OutputStream stream)` Writes the cross reference data to a PDF stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossReferenceTable

    public CrossReferenceTable(TrailerDictionary trailerDictionary,
                               long startxref,
                               java.util.List<java.lang.Long> location)

Method Detail

### output

    public void output(java.io.OutputStream stream)
                throws java.io.IOException

  Description copied from class: `CrossReferenceObject`
  Writes the cross reference data to a PDF stream

  Specified by:
    `output` in class `CrossReferenceObject`
  Parameters:
    `stream` - the stream to write the cross reference to
  Throws:
    `java.io.IOException` - if an I/O exception occurs while writing the data

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.